> ## Documentation Index
> Fetch the complete documentation index at: https://docs.transaction.gg/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Customer

> Get customer details

Get detailed information about a specific customer.

<ParamField path="customerId" type="string" required>
  Customer ID to retrieve
</ParamField>

<ResponseField name="success" type="boolean">
  Indicates if the request was successful
</ResponseField>

<ResponseField name="data.id" type="string">
  Customer ID
</ResponseField>

<ResponseField name="data.email" type="string">
  Customer email
</ResponseField>

<ResponseField name="data.metadata" type="object">
  Customer metadata
</ResponseField>

<ResponseField name="data.createdAt" type="string">
  Creation timestamp
</ResponseField>

## Example Request

```bash theme={null}
curl -X GET "https://api.transaction.gg/merchant/customer/get?customerId=cus_V6n6SN2KnsIFCuQU" \
  -H "Authorization: Bearer jwt_token"
```

## Example Response

```json theme={null}
{
  "success": true,
  "data": {
    "id": "cus_V6n6SN2KnsIFCuQU",
    "email": "customer@example.com",
    "metadata": {
      "name": "John Doe",
      "phone": "+1234567890"
    },
    "createdAt": "2024-01-01T00:00:00Z"
  }
}
```

## Error Responses

<ResponseExample name="Customer Not Found">
  ```json theme={null}
  {
    "success": false,
    "error": {
      "status": 404,
      "code": "CUSTOMER_NOT_FOUND",
      "message": "Customer not found"
    },
    "data": null
  }
  ```
</ResponseExample>
